X2Go Bug report logs - #116
Only install what is needed

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Fri, 1 Feb 2013 18:33:01 UTC

Severity: wishlist

Tags: patch, pending

Merged with 238

Fixed in version 2:3.5.0.21

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#116; Package nx-libs. (Fri, 01 Feb 2013 18:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Feb 2013 18:33:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Only install what is needed
Date: Fri, 01 Feb 2013 11:19:40 -0700
Package: nx-libs

The nx-libs install should only install those items that are needed by other 
x2go/nx applications and libraries.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder Office                  FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#116; Package nx-libs. (Fri, 01 Feb 2013 20:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Feb 2013 20:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 116@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>, 116@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#116: Only install what is needed
Date: Fri, 01 Feb 2013 21:13:08 +0100
[Message part 1 (text/plain, inline)]
Hi Orion,

On Fr 01 Feb 2013 19:19:40 CET Orion Poplawski wrote:

> Package: nx-libs
>
> The nx-libs install should only install those items that are needed  
> by other x2go/nx applications and libraries.

do you think you can start working on providing such a list?

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#116; Package nx-libs. (Fri, 01 Feb 2013 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Feb 2013 21:03:02 GMT) Full text and rfc822 format available.

Message #15 received at 116@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 116@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#116: Only install what is needed
Date: Fri, 01 Feb 2013 14:00:12 -0700
On 02/01/2013 01:13 PM, Mike Gabriel wrote:
> Hi Orion,
>
> On Fr 01 Feb 2013 19:19:40 CET Orion Poplawski wrote:
>
>> Package: nx-libs
>>
>> The nx-libs install should only install those items that are needed by
>> other x2go/nx applications and libraries.
>
> do you think you can start working on providing such a list?

On my Fedora machine with these installed:

python-x2go-0.2.1.2-0.1.fc18.noarch
x2goagent-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
x2goserver-4.0.0.0-1.fc18.x86_64
x2goclient-4.0.0.1-1.fc18.x86_64

They have pulled in the following dependencies:

libNX_freetype-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_X11-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xcomposite-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xdamage-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xdmcp-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xext-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xfixes-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xinerama-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xpm-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xrandr-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xrender-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libNX_Xtst-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libXcomp-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libXcompext-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64
libXcompshad-3.5.0.17-2.20130115gitc8a5fdd.fc18.x86_64

So that seems like a good start.

Also, I'd be curious to know what is different between libraries like 
libNX_freetype, libNX_Xfixes, libNX_Xcomposite, libNX_Xdamage, 
libNX_Xdmcp and the regular system versions since they do not seem to 
link to any other nx specific libraries.


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com

Merged 116 238 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 14 Jun 2013 10:18:03 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 14 Jun 2013 10:18:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#116; Package nx-libs. (Wed, 10 Jul 2013 21:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 10 Jul 2013 21:18:02 GMT) Full text and rfc822 format available.

Message #24 received at 116@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 116@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#238: Bundled libraries
Date: Wed, 10 Jul 2013 14:12:20 -0600
[Message part 1 (text/plain, inline)]
On 06/14/2013 04:13 AM, Mike Gabriel wrote:
> Hi Orion,
>
> On Fr 14 Jun 2013 04:44:16 CEST Orion Poplawski wrote:
>
>> Package: nx-libs
>>
>> nx-libs has copies of a number of libraries in nx-X11/extras/ (and some glue
>> in nx-X11/libs).  We should get rid of these and use system provided versions.
>>
>> As a first stab, I'm able to remove the following without any harm:
>>
>> rm -r nx-X11/extras/{drm,fonts,ogl-sample,regex,ttf2pt1,x86emu,zlib}
>> rm -r nx-X11/lib/{regex,zlib}
>>
>> expat appears to be essentially the 1.95.6 version.  And can be disabled by
>> setting HasExpat YES in nx-X11/config/cf/host.def.
>>
>> fontconfig is an unmodified fontconfig 2.3.2 and can be disabled with
>> HasFontconfig YES.
>>
>> rman is not needed and can be disabled with BuildRman NO.
>>
>> That's a far as I've gotten today.
>
> Thanks for having started working on this. You earlier reported this request
> via BTS (#116) and getting a fix for this issue rolling is pretty valuable, I
> guess.
>
> We won't be able to remove the source folders you referred to from our
> nx-libs.git repos as the git repos also documents how NoMachine releases get
> merged into NX (redistributed). However, we should get rid of those folders at
> build-time (.deb packages) and get rid of those folders from the tarballs
> (.rpm et al. packages).
>
> So, if you work on this (I know that you work on .rpm based systems), please
> edit nx-libs.git/debian/roll-tarball.sh for us whenever you want to remove
> files from the tarball. If you need some other build options, provide that
> change as a patch for our patch system. Just send the patch, I will transform
> that into an appropriate quilt patch.
>
> For the .deb build process, we have to move folders out of the way during
> build-time via /debian/rules. I can see to that, once you have a diff for the
> roll-tarball.sh script.
>
> Greets+Thanks!
> Mike

Okay, here goes my initial changes.

I'd still like to unbundle Xpm if possible, but it does get linked to 
libXcomp.  And Mesa may be just too integrated.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[0001-Remove-bundled-libraries-we-do-not-need-in-roll-tarb.patch (text/x-patch, attachment)]
[0002-Build-option-changes-to-not-use-bundled-libraries.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#116; Package nx-libs. (Fri, 19 Jul 2013 16:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 19 Jul 2013 16:48:01 GMT) Full text and rfc822 format available.

Message #29 received at 116@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>
Cc: 116@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#238: Bundled libraries
Date: Fri, 19 Jul 2013 18:38:24 +0200
[Message part 1 (text/plain, inline)]
tag #116 patch
thanks

Hi Orion,

On Mi 10 Jul 2013 22:12:20 CEST Orion Poplawski wrote:

> On 06/14/2013 04:13 AM, Mike Gabriel wrote:
>> Hi Orion,
>>
>> On Fr 14 Jun 2013 04:44:16 CEST Orion Poplawski wrote:
>>
>>> Package: nx-libs
>>>
>>> nx-libs has copies of a number of libraries in nx-X11/extras/ (and  
>>> some glue
>>> in nx-X11/libs).  We should get rid of these and use system  
>>> provided versions.
>>>
>>> As a first stab, I'm able to remove the following without any harm:
>>>
>>> rm -r nx-X11/extras/{drm,fonts,ogl-sample,regex,ttf2pt1,x86emu,zlib}
>>> rm -r nx-X11/lib/{regex,zlib}
>>>
>>> expat appears to be essentially the 1.95.6 version.  And can be disabled by
>>> setting HasExpat YES in nx-X11/config/cf/host.def.
>>>
>>> fontconfig is an unmodified fontconfig 2.3.2 and can be disabled with
>>> HasFontconfig YES.
>>>
>>> rman is not needed and can be disabled with BuildRman NO.
>>>
>>> That's a far as I've gotten today.
>>
>> Thanks for having started working on this. You earlier reported this request
>> via BTS (#116) and getting a fix for this issue rolling is pretty  
>> valuable, I
>> guess.
>>
>> We won't be able to remove the source folders you referred to from our
>> nx-libs.git repos as the git repos also documents how NoMachine releases get
>> merged into NX (redistributed). However, we should get rid of those  
>> folders at
>> build-time (.deb packages) and get rid of those folders from the tarballs
>> (.rpm et al. packages).
>>
>> So, if you work on this (I know that you work on .rpm based systems), please
>> edit nx-libs.git/debian/roll-tarball.sh for us whenever you want to remove
>> files from the tarball. If you need some other build options, provide that
>> change as a patch for our patch system. Just send the patch, I will  
>> transform
>> that into an appropriate quilt patch.
>>
>> For the .deb build process, we have to move folders out of the way during
>> build-time via /debian/rules. I can see to that, once you have a  
>> diff for the
>> roll-tarball.sh script.
>>
>> Greets+Thanks!
>> Mike
>
> Okay, here goes my initial changes.
>
> I'd still like to unbundle Xpm if possible, but it does get linked  
> to libXcomp.  And Mesa may be just too integrated.

I am currently testing your patches and once the .deb packages build  
with the patch 0002_ applied, I will push the patch to nx-libs.git.

Thanks for this piece of digging code work!

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 16:48:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 17:29:16 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.21. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 19 Jul 2013 17:29:16 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 30 Aug 2013 14:33:05 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Fri, 30 Aug 2013 14:33:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 28 Sep 2013 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 19 03:46:29 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.